| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper > Struct Template Reference

`#include <GaudiKernel/GrammarsV2.h>`

Inheritance diagram for Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >:
[legend]

## Classes
struct | Operations
struct | tag_key
struct | tag_mapped

## Public Types
typedef MapT | ResultT
typedef MapT::key_type | KeyT
typedef MapT::mapped_type | MappedT
typedef std::pair< KeyT, MappedT > | PairT
typedef std::vector< PairT > | VectorPairT

## Public Member Functions
| MapGrammar ()

## Public Attributes
Grammar_< Iterator, typename MapT::key_type, Skipper >::Grammar | key
Grammar_< Iterator, typename MapT::mapped_type, Skipper >::Grammar | value
qi::rule< Iterator, PairT(), Skipper > | pair
qi::rule< Iterator, VectorPairT(), Skipper > | list
qi::rule< Iterator, ResultT(), Skipper > | map
ph::function< Operations > | op

## Detailed Description

### template<typename Iterator, typename MapT, typename Skipper>
struct Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >

Definition at line 414 of file GrammarsV2.h.

## Member Typedef Documentation

template<typename Iterator , typename MapT , typename Skipper >

typedef MapT::key_type Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::KeyT

Definition at line 418 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

typedef MapT::mapped_type Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::MappedT

Definition at line 419 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

typedef std::pair<KeyT, MappedT> Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::PairT

Definition at line 420 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

typedef MapT Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::ResultT

Definition at line 417 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

typedef std::vector<PairT> Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::VectorPairT

Definition at line 422 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator , typename MapT , typename Skipper >

Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::MapGrammar | ( |  | ) |
| inline

Definition at line 447 of file GrammarsV2.h.

447 : MapGrammar::base_type(map) {
448 pair = key[op(qi::_val,qi::_1, tag_key())] > (qi::lit(':') | '=') >
449 value[op(qi::_val,qi::_1, tag_mapped())];
450 list = -(pair % enc::char_(','));
451 map = (('[' >> list >> ']')
452 | ('{' >> list >> '}'))[op(qi::_val,qi::_1)];
453 }
Gaudi::Parsers::MapGrammar::list
qi::rule< Iterator, VectorPairT(), Skipper > list
Definition: GrammarsV2.h:460
Gaudi::Parsers::MapGrammar::map
qi::rule< Iterator, ResultT(), Skipper > map
Definition: GrammarsV2.h:461
Gaudi::Parsers::MapGrammar::pair
qi::rule< Iterator, PairT(), Skipper > pair
Definition: GrammarsV2.h:459
Gaudi::Parsers::MapGrammar::key
Grammar_< Iterator, typename MapT::key_type, Skipper >::Grammar key
Definition: GrammarsV2.h:456
Gaudi::Parsers::MapGrammar::op
ph::function< Operations > op
Definition: GrammarsV2.h:462
Gaudi::Parsers::MapGrammar::value
Grammar_< Iterator, typename MapT::mapped_type, Skipper >::Grammar value
Definition: GrammarsV2.h:458

## Member Data Documentation

template<typename Iterator , typename MapT , typename Skipper >

Grammar_<Iterator, typename MapT::key_type, Skipper>::Grammar Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::key

Definition at line 456 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

qi::rule<Iterator, VectorPairT(), Skipper> Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::list

Definition at line 460 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::map

Definition at line 461 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

ph::function<Operations> Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::op

Definition at line 462 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

qi::rule<Iterator, PairT(), Skipper> Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::pair

Definition at line 459 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

Grammar_<Iterator, typename MapT::mapped_type, Skipper>::Grammar Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::value

Definition at line 458 of file GrammarsV2.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h